"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _theme = require("../../contexts/theme");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const LimitedTextInput = _ref => {
  let {
    label,
    limit,
    handleChangeText,
    ...textInputProps
  } = _ref;
  const [focused, setFocused] = (0, _react.useState)(false);
  const [characterCount, setCharacterCount] = (0, _react.useState)(0);
  const {
    Inputs,
    TextTheme
  } = (0, _theme.useTheme)();
  const styles = _reactNative.StyleSheet.create({
    container: {
      marginVertical: 10
    },
    label: {
      ...TextTheme.normal,
      marginBottom: 5
    },
    textInput: {
      ...Inputs.textInput
    },
    limitCounter: {
      color: TextTheme.normal.color,
      alignSelf: 'flex-end'
    }
  });
  (0, _react.useEffect)(() => {
    var _textInputProps$defau;
    if ((_textInputProps$defau = textInputProps.defaultValue) !== null && _textInputProps$defau !== void 0 && _textInputProps$defau.length) {
      setCharacterCount(textInputProps.defaultValue.length);
    }
  }, [textInputProps.defaultValue]);
  const onChangeText = text => {
    setCharacterCount(text.length);
    handleChangeText(text);
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.label
  }, label), /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, _extends({
    style: [styles.textInput, focused && {
      ...Inputs.inputSelected
    }],
    selectionColor: Inputs.inputSelected.borderColor,
    onFocus: () => setFocused(true),
    onBlur: () => setFocused(false),
    onChangeText: onChangeText
  }, textInputProps)), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.limitCounter
  }, characterCount, "/", limit));
};
var _default = LimitedTextInput;
exports.default = _default;
//# sourceMappingURL=LimitedTextInput.js.map