"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _stack = require("@react-navigation/stack");
var _react = _interopRequireDefault(require("react"));
var _theme = require("../contexts/theme");
var _AttemptLockout = _interopRequireDefault(require("../screens/AttemptLockout"));
var _PINEnter = _interopRequireDefault(require("../screens/PINEnter"));
var _navigators = require("../types/navigators");
var _defaultStackOptions = require("./defaultStackOptions");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const AuthenticateStack = _ref => {
  let {
    setAuthenticated
  } = _ref;
  const Stack = (0, _stack.createStackNavigator)();
  const theme = (0, _theme.useTheme)();
  const defaultStackOptions = (0, _defaultStackOptions.createDefaultStackOptions)(theme);
  return /*#__PURE__*/_react.default.createElement(Stack.Navigator, {
    screenOptions: {
      ...defaultStackOptions,
      presentation: 'transparentModal',
      headerShown: false
    }
  }, /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: _navigators.Screens.EnterPIN,
    component: _PINEnter.default,
    initialParams: {
      setAuthenticated
    }
  }), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: _navigators.Screens.AttemptLockout,
    component: _AttemptLockout.default
  }));
};
var _default = AuthenticateStack;
exports.default = _default;
//# sourceMappingURL=AuthenticateStack.js.map