"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createDefaultStackOptions = createDefaultStackOptions;
var _react = _interopRequireDefault(require("react"));
var _reactI18next = require("react-i18next");
var _HeaderTitle = _interopRequireDefault(require("../components/texts/HeaderTitle"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function createDefaultStackOptions(_ref) {
  let {
    ColorPallet
  } = _ref;
  const {
    t
  } = (0, _reactI18next.useTranslation)();
  return {
    headerTintColor: ColorPallet.brand.headerIcon,
    headerShown: true,
    headerBackTitleVisible: false,
    headerTitleContainerStyle: {
      flexShrink: 1,
      maxWidth: '68%',
      width: '100%'
    },
    headerStyle: {
      elevation: 0,
      shadowOffset: {
        width: 0,
        height: 6
      },
      shadowRadius: 6,
      shadowColor: ColorPallet.grayscale.black,
      shadowOpacity: 0.15,
      borderBottomWidth: 0
    },
    headerTitleAlign: 'center',
    headerTitle: props => /*#__PURE__*/_react.default.createElement(_HeaderTitle.default, props),
    headerBackAccessibilityLabel: t('Global.Back')
  };
}
//# sourceMappingURL=defaultStackOptions.js.map